<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddProcessNodeReq StructType
 * @subpackage Structs
 */
class AddProcessNodeReq extends APIRequest
{
    /**
     * The processNode
     * @var XProcessNode
     */
    public $processNode;
    /**
     * Constructor method for AddProcessNodeReq
     * @uses AddProcessNodeReq::setProcessNode()
     * @param XProcessNode $processNode
     */
    public function __construct(XProcessNode $processNode = null)
    {
        $this
            ->setProcessNode($processNode);
    }
    /**
     * Get processNode value
     * @return XProcessNode|null
     */
    public function getProcessNode()
    {
        return $this->processNode;
    }
    /**
     * Set processNode value
     * @param XProcessNode $processNode
     * @return AddProcessNodeReq
     */
    public function setProcessNode(XProcessNode $processNode = null)
    {
        $this->processNode = $processNode;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddProcessNodeReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
